MyBB Community Forums
"Not Acceptable" - Mod Security error? - Printable Version

+- MyBB Community Forums (https://community.mybb.com)
+-- Forum: 1.8 Support (https://community.mybb.com/forum-175.html)
+--- Forum: General Support (https://community.mybb.com/forum-176.html)
+--- Thread: "Not Acceptable" - Mod Security error? (/thread-223200.html)



"Not Acceptable" - Mod Security error? - dcamire11 - 2019-05-28

Whenever anyone on my forum tries to edit a post, create a post, or edit a user with HTML links, we get this error:

"Not Acceptable! An appropriate representation of the requested resource could not be found on this server. This error was generated by Mod_Security."

I have spent the last three weeks talking to HostGator, who insist that the proper rules have been "whitelisted" and are "fixed" despite me telling them repeatedly that the errors are still occurring. They refuse to disable Mod Security. I've been hosting with them for years, and this just became an issue a few weeks ago. Their default answer now is to "have my developer figure it out".

Does anyone have insight into what's going on/what I can do? My last option is just to buy a VPS and stop hosting from them entirely, because this makes no sense to me, but I'd rather avoid that if possible.


RE: "Not Acceptable" - Mod Security error? - NoRules - 2019-05-29

Hi,

try to upgrade your MyBB to the last version (including your theme), and try to deactivate all the plugins, and check if the error it's still there. If not, activate one by one to see if it's a problem with the plugin and your server's Mod Security.